;|========================|
;|Onslaught's command file|
;|========================|

;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.

;Magnetic Tempest
[Command]
name = "mag2"
command = ~F, D, DF, x+y
time = 30

[Command]
name = "mag2"
command = ~F, D, DF, x+z
time = 30

[Command]
name = "mag2"
command = ~F, D, DF, y+z
time = 30

;Mega Optic Blast
[Command]
name = "optic"
command = ~D, DF, F, x+y
time = 30

[Command]
name = "optic"
command = ~D, DF, F, x+z
time = 30

[Command]
name = "optic"
command = ~D, DF, F, y+z
time = 30

;Magnetic Shock Wave
[Command]
name = "wave"
command = ~D, DF, F, a+b
time = 30

[Command]
name = "wave"
command = ~D, DF, F, a+c
time = 30

[Command]
name = "wave"
command = ~D, DF, F, b+c
time = 30

[Command]
name = "RegOptBlast"
command = ~D, DB, B, x+y
time = 30

;Partner Change
[Command]
name = "change"
command = ~D, DB, B, a+b
time = 30

[Command]
name = "change"
command = ~D, DB, B, a+c
time = 30

[Command]
name = "change"
command = ~D, DB, B, b+c
time = 30

;Hyper Rensha Beam
[Command]
name = "hyper_rensha_beam"
command = ~B, DB, D, x+y
time = 30

[Command]
name = "hyper_rensha_beam"
command = ~B, DB, D, x+z
time = 30

[Command]
name = "hyper_rensha_beam"
command = ~B, DB, D, y+z
time = 30

;-| Special Motions |------------------------------------------------------
;Hyper grav
[Command]
name = "grav"
command = ~F, D, DF, x

[Command]
name = "grav"
command = ~F, D, DF, y

[Command]
name = "grav"
command = ~F, D, DF, z

;Magnetic Tempest
[Command]
name = "mag"
command = ~D, DF, F, x

[Command]
name = "mag"
command = ~D, DF, F, y

[Command]
name = "mag"
command = ~D, DF, F, z

;Symbiote Striker
[Command]
name = "SymbioteStriker"
command = ~D, DF, F, a

;Head Crush
[Command]
name = "crush"
command = ~D, DF, F, b

[Command]
name = "crush"
command = ~D, DF, F, c

;Teleport
[Command]
name = "teleport_a"
command = ~D, DB, B, a

[Command]
name = "teleport_b"
command = ~D, DB, B, b

[Command]
name = "teleport_c"
command = ~D, DB, B, c

;Symbiote Costume Attack
[Command]
name = "Sym_x"
command = ~D, DB, B, x

[Command]
name = "Sym_y"
command = ~D, DB, B, y

[Command]
name = "Sym_z"
command = ~D, DB, B, z

;Sentinel
[Command]
name = "sentinel"
command = a+x

[Command]
name = "sentinel"
command = a+y

[Command]
name = "sentinel"
command = a+z

[Command]
name = "sentinel"
command = b+x

[Command]
name = "sentinel"
command = b+y

[Command]
name = "sentinel"
command = b+z

[Command]
name = "sentinel"
command = c+x

[Command]
name = "sentinel"
command = c+y

[Command]
name = "sentinel"
command = c+z

;Attack
[Command]
name = "attack"
command = x

[Command]
name = "attack"
command = y

[Command]
name = "attack"
command = z

[Command]
name = "attack"
command = a

[Command]
name = "attack"
command = b

[Command]
name = "attack"
command = c

;Cyclops
[Command]
name = "cyclops"
command = ~D, DF, F, x

[Command]
name = "cyclops"
command = ~D, DF, F, y

[Command]
name = "cyclops"
command = ~D, DF, F, z

[Command]
name = "optic_x"
command = ~D, DF, F, x

[Command]
name = "optic_y"
command = ~D, DF, F, y

[Command]
name = "optic_z"
command = ~D, DF, F, z

[Command]
name = "cyclone_a"
command = ~D, DB, B, a

[Command]
name = "cyclone_b"
command = ~D, DB, B, b

[Command]
name = "cyclone_c"
command = ~D, DB, B, c

[Command]
name = "rushingpunch"
command = ~45$B, F, x
time = 5

[Command]
name = "rushingpunch"
command = ~45$B, F, y
time = 5

[Command]
name = "rushingpunch"
command = ~45$B, F, z
time = 5

[Command]
name = "genesplice_x"
command = ~F, D, DF, x

[Command]
name = "genesplice_y"
command = ~F, D, DF, y

[Command]
name = "genesplice_z"
command = ~F, D, DF, z

[Command]
name = "csentinel"
command = ~D, DF, F, a

[Command]
name = "cjuggernaut"
command = ~D, DF, F, b

[Command]
name = "crogue"
command = ~D, DF, F, c

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_x"
command = /$D,x
time = 1

[Command]
name = "down_y"
command = /$D,y
time = 1

[Command]
name = "down_z"
command = /$D,z
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "hold_x"
command = /$x
time = 1

[Command]
name = "hold_y"
command = /$y
time = 1

[Command]
name = "hold_z"
command = /$z
time = 1

;-| CPU ONLY |--------------------------------------------------------------

[Command]
name = "CPU1"
command = U, D, B, F, s
time = 1

[Command]
name = "CPU2"
command = U, U, U, U, U, U
time = 1

[Command]
name = "CPU3"
command = D, D, D, D, D, D
time = 1

[Command]
name = "CPU4"
command = B, B, B, B, B, B
time = 1

[Command]
name = "CPU5"
command = F, F, F, F, F, F
time = 1

[Command]
name = "CPU6"
command = x, x, x, x, x, x
time = 1

[Command]
name = "CPU7"
command = y, y, y, y, y, y
time = 1

[Command]
name = "CPU8"
command = z, z, z, z, z, z
time = 1

[Command]
name = "CPU9"
command = a, a, a, a, a, a
time = 1

[Command]
name = "CPU10"
command = b, b, b, b, b, b
time = 1

[Command]
name = "CPU11"
command = c, c, c, c, c, c
time = 1

[Command]
name = "CPU12"
command = s, s, s, s, s, s
time = 1

[Command]
name = "CPU13"
command = U, D, B, F, x
time = 1

[Command]
name = "CPU14"
command = U, D, B, F, y
time = 1

[Command]
name = "CPU15"
command = U, D, B, F, z
time = 1

[Command]
name = "CPU16"
command = U, D, B, F, a
time = 1

[Command]
name = "CPU17"
command = U, D, B, F, b
time = 1

[Command]
name = "CPU18"
command = U, D, B, F, c
time = 1

[Command]
name = "CPU19"
command = U, U, D, D, B, B, F, F, x, x
time = 1

[Command]
name = "CPU20"
command = U, U, D, D, B, B, F, F, y, y
time = 1

[Command]
name = "CPU21"
command = U, U, D, D, B, B, F, F, z, z
time = 1

[Command]
name = "CPU22"
command = U, U, D, D, B, B, F, F, a, a
time = 1

[Command]
name = "CPU23"
command = U, U, D, D, B, B, F, F, b, b
time = 1

[Command]
name = "CPU24"
command = U, U, D, D, B, B, F, F, c, c
time = 1

[Command]
name = "CPU25"
command = U, U, D, D, B, B, F, F, s, s
time = 1

[Command]
name = "CPU26"
command = U, U, U, D, D, D, x, x, x
time = 1

[Command]
name = "CPU27"
command = U, U, U, D, D, D, y, y, y
time = 1

[Command]
name = "CPU28"
command = U, U, U, D, D, D, z, z, z
time = 1

[Command]
name = "CPU29"
command = U, U, U, D, D, D, a, a, a
time = 1

[Command]
name = "CPU30"
command = U, U, U, D, D, D, b, b, b
time = 1

[Command]
name = "CPU31"
command = U, U, U, D, D, D, c, c, c
time = 1

[Command]
name = "CPU32"
command = U, U, U, D, D, D, s, s, s
time = 1

[Command]
name = "CPU33"
command = U, U, U, D, D, D, U, U, U
time = 1

[Command]
name = "CPU34"
command = U, U, U, D, D, D, D, D, D
time = 1

[Command]
name = "CPU35"
command = U, U, U, D, D, D, B, B, B
time = 1

[Command]
name = "CPU36"
command = U, U, U, D, D, D, F, F, F
time = 1

[Command]
name = "CPU37"
command = B, B, B, F, F, F, x, x, x
time = 1

[Command]
name = "CPU38"
command = B, B, B, F, F, F, y, y, y
time = 1

[Command]
name = "CPU39"
command = B, B, B, F, F, F, z, z, z
time = 1

[Command]
name = "CPU40"
command = B, B, B, F, F, F, a, a, a
time = 1

[Command]
name = "CPU41"
command = B, B, B, F, F, F, b, b, b
time = 1

[Command]
name = "CPU42"
command = B, B, B, F, F, F, c, c, c
time = 1

[Command]
name = "CPU43"
command = B, B, B, F, F, F, s, s, s
time = 1

[Command]
name = "CPU44"
command = B, B, B, F, F, F, B, B, B
time = 1

[Command]
name = "CPU45"
command = B, B, B, F, F, F, F, F, F
time = 1

[Command]
name = "CPU46"
command = B, B, B, F, F, F, U, U, U
time = 1

[Command]
name = "CPU47"
command = B, B, B, F, F, F, D, D, D
time = 1

[Command]
name = "CPU48"
command = x, x, x, x, x, a, a, a, a, a
time = 1

[Command]
name = "CPU49"
command = y, y, y, y, y, b, b, b, b, b
time = 1

[Command]
name = "CPU50"
command = z, z, z, z, z, c, c, c, c, c, c
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.  
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;---------------------------------------------------------------------------
;AI
[State -1]
type = varset
trigger1 = command = "CPU50"
trigger2 = command = "CPU49"
trigger3 = command = "CPU48"
trigger4 = command = "CPU47"
trigger5 = command = "CPU46"
trigger6 = command = "CPU45"
trigger7 = command = "CPU44"
trigger8 = command = "CPU43"
trigger9 = command = "CPU42"
trigger10 = command = "CPU41"
trigger11 = command = "CPU40"
trigger12 = command = "CPU39"
trigger13 = command = "CPU38"
trigger14 = command = "CPU37"
trigger15 = command = "CPU36"
trigger16 = command = "CPU35"
trigger17 = command = "CPU34"
trigger18 = command = "CPU33"
trigger19 = command = "CPU32"
trigger20 = command = "CPU31"
trigger21 = command = "CPU30"
trigger22 = command = "CPU29"
trigger23 = command = "CPU28"
trigger24 = command = "CPU27"
trigger25 = command = "CPU26"
trigger26 = command = "CPU25"
trigger27 = command = "CPU24"
trigger28 = command = "CPU23"
trigger29 = command = "CPU22"
trigger30 = command = "CPU21"
trigger31 = command = "CPU20"
trigger32 = command = "CPU19"
trigger33 = command = "CPU18"
trigger34 = command = "CPU17"
trigger35 = command = "CPU16"
trigger36 = command = "CPU15"
trigger37 = command = "CPU14"
trigger38 = command = "CPU13"
trigger39 = command = "CPU12"
trigger40 = command = "CPU11"
trigger41 = command = "CPU10"
trigger42 = command = "CPU9"
trigger43 = command = "CPU8"
trigger44 = command = "CPU7"
trigger45 = command = "CPU6"
trigger46 = command = "CPU5"
trigger47 = command = "CPU4"
trigger48 = command = "CPU3"
trigger49 = command = "CPU2"
trigger50 = command = "CPU1"
var(0) = 1

;AI Diactivator
[State -1]
type = VarSet;null;VarSet
trigger1 = command != "CPU50"
trigger1 = command != "CPU49"
trigger1 = command != "CPU48"
trigger1 = command != "CPU47"
trigger1 = command != "CPU46"
trigger1 = command != "CPU45"
trigger1 = command != "CPU44"
trigger1 = command != "CPU43"
trigger1 = command != "CPU42"
trigger1 = command != "CPU41"
trigger1 = command != "CPU40"
trigger1 = command != "CPU39"
trigger1 = command != "CPU38"
trigger1 = command != "CPU37"
trigger1 = command != "CPU36"
trigger1 = command != "CPU35"
trigger1 = command != "CPU34"
trigger1 = command != "CPU33"
trigger1 = command != "CPU32"
trigger1 = command != "CPU31"
trigger1 = command != "CPU30"
trigger1 = command != "CPU29"
trigger1 = command != "CPU28"
trigger1 = command != "CPU27"
trigger1 = command != "CPU26"
trigger1 = command != "CPU25"
trigger1 = command != "CPU24"
trigger1 = command != "CPU23"
trigger1 = command != "CPU22"
trigger1 = command != "CPU21"
trigger1 = command != "CPU20"
trigger1 = command != "CPU19"
trigger1 = command != "CPU18"
trigger1 = command != "CPU17"
trigger1 = command != "CPU16"
trigger1 = command != "CPU15"
trigger1 = command != "CPU14"
trigger1 = command != "CPU13"
trigger1 = command != "CPU12"
trigger1 = command != "CPU11"
trigger1 = command != "CPU10"
trigger1 = command != "CPU9"
trigger1 = command != "CPU8"
trigger1 = command != "CPU7"
trigger1 = command != "CPU6"
trigger1 = command != "CPU5"
trigger1 = command != "CPU4"
trigger1 = command != "CPU3"
trigger1 = command != "CPU2"
trigger1 = command != "CPU1"
var(0) = 0

;|======|
;|Supers|
;|======|

;Symbiote Onslaught Hand Mega Optic Blast
[State -1]
type = changestate
value = 3000
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = power >= 1000
triggerall = command = "optic"
triggerall = statetype = S
trigger1 = ctrl = 1

;Symbiote Onslaught Face Mega Optic Blast
[State -1]
type = changestate
value = 3035
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = power >= 1000
triggerall = command = "RegOptBlast"
triggerall = statetype = S
trigger1 = ctrl = 1

;Magnetic Shock Wave
[State -1]
type = changestate
value = 3010
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = power >= 1000
triggerall = command = "wave"
triggerall = statetype = S
trigger1 = ctrl = 1

;Symbiote Helper Hyper
[State -1]
type = changestate
value = 3020
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = power >= 2000
triggerall = command = "change"
triggerall = statetype = S
trigger1 = ctrl = 1

;|========|
;|Specials|
;|========|

;Partner Change Teleport A
[State -1]
type = changestate
value = 3024
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = command = "teleport_a"
triggerall = statetype = S
triggerall = stateno = 3023
trigger1 = ctrl = 0

;Partner Change Teleport B
[State -1]
type = changestate
value = 3025
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = command = "teleport_b"
triggerall = statetype = S
triggerall = stateno = 3023
trigger1 = ctrl = 0

;Partner Change Teleport C
[State -1]
type = changestate
value = 3026
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = command = "teleport_c"
triggerall = statetype = S
triggerall = stateno = 3023
trigger1 = ctrl = 0

;Symbiote Snakes
[State -1]
type = changestate
value = 1030
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = numhelper(9) = 0
triggerall = command = "sentinel"
triggerall = statetype = S
trigger1 = ctrl = 1

;Hyper Grav
[State -1]
type = changestate
value = 1010
triggerall = var(50) = 0
triggerall = var(0) = 0
trigger1 = command = "grav"
trigger1 = numhelper(3) = 0
trigger1 = numhelper(4) = 0
trigger1 = numhelper(5) = 0
trigger1 = numhelper(6) = 0
trigger1 = ctrl = 1

;Magnetic Web Tempest
[State -1]
type = changestate
value = 1000
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = command = "mag"
triggerall = statetype = S
trigger1 = ctrl = 1

;Head Crush
[State -1]
type = changestate
value = 1005
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = command = "crush"
triggerall = statetype = S
trigger1 = ctrl = 1

;Teleport A
[State -1]
type = changestate
value = 1020
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = command = "teleport_a"
triggerall = statetype = S
trigger1 = ctrl = 1

;Teleport B
[State -1]
type = changestate
value = 1021
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = command = "teleport_b"
triggerall = statetype = S
trigger1 = ctrl = 1

;Teleport C
[State -1]
type = changestate
value = 1022
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = command = "teleport_c"
triggerall = statetype = S
trigger1 = ctrl = 1

;Symbiote Snakes
[State -1]
type = changestate
value = 3031
triggerall = var(50) = 0
triggerall = var(0) = 0
trigger1 = stateno = 3023
trigger1 = numhelper = 0
trigger1 = command = "x"

;Symbiote Spidey
[State -1]
type = changestate
value = 3032
triggerall = var(50) = 0
triggerall = var(0) = 0
trigger1 = stateno = 3023
trigger1 = numhelper = 0
trigger1 = command = "y"

;Venom
[State -1]
type = changestate
value = 3033
triggerall = var(50) = 0
triggerall = var(0) = 0
trigger1 = stateno = 3023
trigger1 = numhelper = 0
trigger1 = command = "z"

;|==============================|
;|Symbiote Onslaught Basic Moves|
;|==============================|

;Symbiote Costume Attack
[State -1, SymCostAtt_Light]
type = ChangeState
value = 214
triggerall = (Statetype = S) && (ctrl)
triggerall = var(50) = 0
trigger1 = (command = "Sym_x") && (var(0) = 0)

;Symbiote Chomp
[State -1]
type = changestate
value = 213
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = command = "b"
triggerall = statetype = S
trigger1 = ctrl = 1

;Symbiote Chest Striker
[State -1]
type = changestate
value = 211
triggerall = var(50) = 0
triggerall = statetype = S
triggerall = command = "SymbioteStriker"
triggerall = command != "holddown"
trigger1 = ctrl
trigger1 = statetype != A

;Mini Sentinel
[State -1]
type = changestate
value = 200
triggerall = var(50) = 0
triggerall = var(0) = 0
triggerall = numhelper(1) = 0
triggerall = command = "attack"
triggerall = statetype = S
trigger1 = ctrl = 1

;|===================================|
;|Symbiote Onslaught(2nd form) supers|
;|===================================|

;Magnetic Web Tempest
[State -1]
type = changestate
value = 4060
triggerall = var(50) = 2
triggerall = var(0) = 0
triggerall = command = "change"
trigger1 = ctrl = 1
trigger1 = var(30) = 3

;Magnetic Web Tempest power add
[State -1]
type = poweradd
value = -1000
triggerall = var(0) = 0
triggerall = numhelper(15) = 1
triggerall = power >= 1000
triggerall = var(50) = 2
triggerall = var(30) = 0
triggerall = numhelper(14) = 0
triggerall = command = "change"
trigger1 = ctrl = 1

;Magnetic Web Tempest power add AI
[State -1]
type = poweradd
value = -1000
triggerall = var(0) = 1
triggerall = numhelper(15) = 1
triggerall = power >= 1000
triggerall = var(50) = 2
triggerall = var(30) = 0
triggerall = numhelper(14) = 0
triggerall = command = "change"
trigger1 = ctrl = 1

;Hyper rensha beam
[State -1]
type = changestate
value = 4056
triggerall = numhelper(15) = 1
triggerall = power >= 1000
triggerall = var(50) = 2
triggerall = var(0) = 0
triggerall = var(30) = 0
triggerall = numhelper(14) = 0
triggerall = command = "optic"
trigger1 = ctrl = 1

;Hyper rensha beam 2
[State -1]
type = changestate
value = 4057
triggerall = numhelper(15) = 1
triggerall = power >= 1000
triggerall = var(50) = 2
triggerall = var(0) = 0
triggerall = var(30) = 0
triggerall = numhelper(14) = 0
triggerall = command = "hyper_rensha_beam"
trigger1 = ctrl = 1

;|=====================================|
;|Symbiote Onslaught(2nd form) specials|
;|=====================================|

;Rensha beam
[State -1]
type = changestate
value = 4010
triggerall = numhelper(15) = 1
triggerall = var(50) = 2
triggerall = var(0) = 0
triggerall = var(30) = 0
triggerall = numhelper(14) = 0
triggerall = command = "mag"
trigger1 = ctrl = 1

;Hyper grav
[State -1]
type = varset
triggerall = numhelper(15) = 1
triggerall = var(50) = 2
triggerall = var(0) = 0
triggerall = var(30) = 0
triggerall = numHelper(14) = 0
triggerall = numHelper(3) = 0
triggerall = numHelper(4) = 0
triggerall = numHelper(5) = 0
triggerall = numHelper(6) = 0
triggerall = command = "grav"
trigger1 = ctrl = 1
var(30) = 2

;Dash punch
[State -1]
type = changestate
value = 4065
triggerall = numhelper(15) = 1
triggerall = var(50) = 2
triggerall = var(0) = 0
triggerall = var(30) = 0
triggerall = numhelper(14) = 0
triggerall = command = "crush"
trigger1 = ctrl = 1

;Symbiote Snakes
[State -1]
type = changestate
value = 4055
triggerall = numhelper(15) = 1
triggerall = var(50) = 2
triggerall = var(0) = 0
triggerall = var(30) = 0
triggerall = command = "sentinel"
triggerall = numhelper(14) = 0
triggerall = numhelper(9) = 0
trigger1 = ctrl = 1

;|===================================|
;|Symbiote Onslaught(2nd form) basics|
;|===================================|

;Punch
[State -1]
type = varset
triggerall = numhelper(15) = 1
triggerall = var(50) = 2
triggerall = var(0) = 0
triggerall = var(30) = 0
triggerall = numhelper(14) = 0
triggerall = command = "x" || command = "y" || command = "z"
trigger1 = ctrl = 1
var(30) = 1

;Mini Sentinel
[State -1]
type = changestate
value = 4007
triggerall = numhelper(15) = 1
triggerall = var(50) = 2
triggerall = var(0) = 0
triggerall = var(30) = 0
triggerall = numhelper(14) = 0
triggerall = numhelper(1) = 0
triggerall = command = "c"
trigger1 = ctrl = 1

;|======|
;|Others|
;|======|

;State Timer
[State -1]
type = varadd
trigger1 = var(11) > 0
var(11) = -1

;Grav Remover
[State -1]
type = varset
triggerall = p2stateno = 1015
trigger1 = numhelper(3) = 1
trigger2 = numhelper(4) = 1
trigger3 = numhelper(5) = 1
trigger4 = numhelper(6) = 1
var(12) = 1

;Grav Remover 2
[State -1]
type = varset
triggerall = var(12) = 1
trigger1 = numhelper(3) = 0
trigger2 = numhelper(4) = 0
trigger3 = numhelper(5) = 0
trigger4 = numhelper(6) = 0
var(12) = 0

;Grav Timer
[State -1]
type = varadd
trigger1 = var(15) > 0
var(15) = -1

;Partner Change Timer
[State -1]
type = varadd
trigger1 = var(13) > 0
var(13) = -1

;Body activator
[State -1]
type = Helper
trigger1 = var(50) = 2
trigger1 = numhelper(15) = 0
trigger1 = Anim != 0
trigger1 = roundstate != [3, 4]
helpertype = Normal
name = "body"
ID = 15
pos = 0, 0
postype = P1
facing = 0
stateno = 4000
keyctrl = 0
ownpal = 1
supermovetime = 0
pausemovetime = 0

;Armor activator
[State -1]
type = null;Helper
trigger1 = var(50) = 2
trigger1 = NumHelper(17) = 0
trigger1 = RoundState != [3, 4]
helpertype = Normal
name = "armor"
ID = 17
pos = 0, 0
postype = P1
facing = 0
stateno = 4002
keyctrl = 0
ownpal = 0
supermovetime = 0
pausemovetime = 0

;Partner Remover
[State -1]
type = varadd
trigger1 = var(50) = 1
trigger1 = var(18) > 0
var(18) = -1
